Bug 362731 - System hang when running glxinfo remotely (x86_64, Radeon 9800Pro AGP)
System hang when running glxinfo remotely (x86_64, Radeon 9800Pro AGP)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
7
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-01 18:15 EDT by Mike A. Harris
Modified: 2016-10-18 11:33 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 22:47:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
X server log file from successful startup. (59.26 KB, text/plain)
2007-11-01 18:15 EDT, Mike A. Harris
no flags Details

  None (edit)
Description Mike A. Harris 2007-11-01 18:15:17 EDT
Description of problem:

When running "glxinfo" on a remote machine over "ssh -Y", the local x86_64
system randomly freezes with a hard lockup requiring a reboot.  No errors are
displayed, and unfortunately no errors are present in the kernel or X server
logs upon system startup either.  The local system is AMD64 with an ATI Radeon
9800Pro AGP card.

The kernel I am using is the F7 test kernel version 2.6.23.1-20.fc7 however I
have had the problem occur under previous kernels as well.  The current official
Fedora kernel release for F7 has an AGP related bug that prevents AGP from
working on this machine, so reproduction on the current official kernel update
isn't possible on this system.  At this point there isn't enough information to
determine whether it is the X server, kernel, etc. at fault so I've just filed
it against xorg-x11-server for the time being, until the problem can be narrowed
down further.


Version-Release number of selected component (if applicable):

xorg-x11-server-Xorg-1.3.0.0-9.fc7
xorg-x11-drv-ati-6.6.3-4.fc7
mesa-libGL-6.5.2-13.fc7
kernel-2.6.23.1-20.fc7


How reproducible:
Sometimes the glxinfo command completes successfully, and it shows that indirect
rendering is available, however other times it just hard locks.  It's more or
less random in nature, however if I keep running glxinfo over and over again,
eventually it will hang usually within 5 attempts.  It hung every time the last
3 times I ran it.   Putting glxinfo in an endless while loop on a remote host
over "ssh -Y" should be a good way to attempt to reproduce.


Steps to Reproduce:
1. start up X on x86_64 with Radeon 9800Pro AGP
2. "ssh -Y remotehost"
3. run glxinfo
  
Actual results:

Local system deadlock within 3 seconds if it does lockup.  glxinfo usually only
gets out one line of output before this happens.


Additional info:
Linux hammer 2.6.23.1-20.fc7 #1 SMP Wed Oct 31 20:31:48 EDT 2007 x86_64 x86_64
x86_64 GNU/Linux

I'm tracking Fedora 7 official kernel updates as well as koji built test kernels
for other unrelated problems, so I'll provide updates here if any kernel updates
cause changes in reproducability at all.

When I get a chance, I'll attach some additional troubleshooting/debugging info
as well.
Comment 1 Mike A. Harris 2007-11-01 18:15:17 EDT
Created attachment 246111 [details]
X server log file from successful startup.
Comment 2 Bug Zapper 2008-05-14 10:57:15 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2008-06-16 22:47:10 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 4 drew 2016-10-18 11:33:10 EDT
I see this behavior on Fedora 24. I have Fedora 24 running inside of VirtualBox, if I remote desktop into the host, run Fedora 24 glxinfo will hang in the same manner (generates one line of output, ignores Ctrl+C Ctrl+Z, the program will not terminate).

Note You need to log in before you can comment on or make changes to this bug.